Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl
Class KModuleDeploymentUnit

    java.lang.Object
      org.jbpm.kie.services.impl.KModuleDeploymentUnit

All Implemented Interfaces:
  org.kie.internal.deployment.DeploymentUnit

    public class KModuleDeploymentUnit

extends Object
implements org.kie.internal.deployment.DeploymentUnit

Nested Class Summary

Nested classes/interfaces inherited from interface org.kie.internal.deployment.DeploymentUnit
`org.kie.internal.deployment.DeploymentUnit.RuntimeStrategy`

Constructor Summary
`KModuleDeploymentUnit(String groupId, String artifactId, String version)`
`KModuleDeploymentUnit(String groupId, String artifactId, String version, String kbaseName, String ksessionName)`
`KModuleDeploymentUnit(String groupId, String artifactId, String version, String kbaseName, String ksessionName, String strategy)`

Method Summary
`String` | `getArtifactId()`
`String` | `getGroupId()`
`String` | `getIdentifier()`
`String` | `getKbaseName()`
`String` | `getKsessionName()`
`org.kie.internal.deployment.DeploymentUnit.RuntimeStrategy` | `getStrategy()`
`String` | `getVersion()`
`void` | `setArtifactId(String artifactId)`
`void` | `setGroupId(String groupId)`
`void` | `setKbaseName(String kbaseName)`
`void` | `setKsessionName(String ksessionName)`
`void` | `setStrategy(org.kie.internal.deployment.DeploymentUnit.RuntimeStrategy strategy)`
`void` | `setVersion(String version)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KModuleDeploymentUnit

    public KModuleDeploymentUnit(String groupId,
                                 String artifactId,
                                 String version)

### KModuleDeploymentUnit

    public KModuleDeploymentUnit(String groupId,
                                 String artifactId,
                                 String version,
                                 String kbaseName,
                                 String ksessionName)

### KModuleDeploymentUnit

    public KModuleDeploymentUnit(String groupId,
                                 String artifactId,
                                 String version,
                                 String kbaseName,
                                 String ksessionName,
                                 String strategy)

Method Detail

### getIdentifier

    public String getIdentifier()

  Specified by:
    `getIdentifier` in interface `org.kie.internal.deployment.DeploymentUnit`

### getStrategy

    public org.kie.internal.deployment.DeploymentUnit.RuntimeStrategy getStrategy()

  Specified by:
    `getStrategy` in interface `org.kie.internal.deployment.DeploymentUnit`

### setStrategy

    public void setStrategy(org.kie.internal.deployment.DeploymentUnit.RuntimeStrategy strategy)

### getArtifactId

    public String getArtifactId()

### setArtifactId

    public void setArtifactId(String artifactId)

### getGroupId

    public String getGroupId()

### setGroupId

    public void setGroupId(String groupId)

### getVersion

    public String getVersion()

### setVersion

    public void setVersion(String version)

### getKsessionName

    public String getKsessionName()

### setKsessionName

    public void setKsessionName(String ksessionName)

### getKbaseName

    public String getKbaseName()

### setKbaseName

    public void setKbaseName(String kbaseName)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.